- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::IteratesVectorSpace Class Reference

Vector Space for the IteratesVector class. More...

`#include <IpIteratesVector.hpp>`

Inheritance diagram for Ipopt::IteratesVectorSpace:

[legend]
Collaboration diagram for Ipopt::IteratesVectorSpace:

[legend]
List of all members.

## Public Member Functions
virtual void | SetCompSpace (Index icomp, const VectorSpace &vec_space)
| This method hides the CompoundVectorSpace::SetCompSpace method since the components of the Iterates are fixed at construction.
Constructors/Destructors.
| IteratesVectorSpace (const VectorSpace &x_space, const VectorSpace &s_space, const VectorSpace &y_c_space, const VectorSpace &y_d_space, const VectorSpace &z_L_space, const VectorSpace &z_U_space, const VectorSpace &v_L_space, const VectorSpace &v_U_space)
| Constructor that takes the spaces for each of the iterates.
virtual | ~IteratesVectorSpace ()
| Constructor that takes the spaces for each of the iterates.
virtual IteratesVector * | MakeNewIteratesVector (bool create_new=true) const
| Use this to create a new IteratesVector.
const SmartPtr< const IteratesVector > | MakeNewIteratesVector (const Vector &x, const Vector &s, const Vector &y_c, const Vector &y_d, const Vector &z_L, const Vector &z_U, const Vector &v_L, const Vector &v_U)
| Use this method to create a new const IteratesVector.
virtual CompoundVector * | MakeNewCompoundVector (bool create_new=true) const
| This method overloads ComooundVectorSpace::MakeNewCompoundVector to make sure that we get a vector of the correct type.
virtual Vector * | MakeNew () const
| This method creates a new vector (and allocates space in all the contained vectors.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IteratesVectorSpace ()
| Default constructor.
| IteratesVectorSpace (const IteratesVectorSpace &)
| Copy Constructor.
IteratesVectorSpace & | operator= (const IteratesVectorSpace &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< const VectorSpace > | x_space_
| Contained Spaces.
SmartPtr< const VectorSpace > | s_space_
SmartPtr< const VectorSpace > | y_c_space_
SmartPtr< const VectorSpace > | y_d_space_
SmartPtr< const VectorSpace > | z_L_space_
SmartPtr< const VectorSpace > | z_U_space_
SmartPtr< const VectorSpace > | v_L_space_
SmartPtr< const VectorSpace > | v_U_space_

## Detailed Description

Vector Space for the IteratesVector class.

This is a specialized vector space for the IteratesVector class.

Definition at line 524 of file IpIteratesVector.hpp.

## Constructor & Destructor Documentation

Ipopt::IteratesVectorSpace::IteratesVectorSpace | ( | const VectorSpace & | x_space,
|  | const VectorSpace & | s_space,
|  | const VectorSpace & | y_c_space,
|  | const VectorSpace & | y_d_space,
|  | const VectorSpace & | z_L_space,
|  | const VectorSpace & | z_U_space,
|  | const VectorSpace & | v_L_space,
|  | const VectorSpace & | v_U_space |
| ) |  |  |

Constructor that takes the spaces for each of the iterates.

Warning! None of these can be NULL !

virtual Ipopt::IteratesVectorSpace::~IteratesVectorSpace | ( |  | ) | `[virtual]`

Constructor that takes the spaces for each of the iterates.

Warning! None of these can be NULL !

Ipopt::IteratesVectorSpace::IteratesVectorSpace | ( |  | ) | `[private]`

Default constructor.

Ipopt::IteratesVectorSpace::IteratesVectorSpace | ( | const IteratesVectorSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual IteratesVector* Ipopt::IteratesVectorSpace::MakeNewIteratesVector | ( | bool | create_new = `true` | ) | const`[inline, virtual]`

Use this to create a new IteratesVector.

You can pass-in create_new = false if you only want a container and do not want vectors allocated.

Definition at line 547 of file IpIteratesVector.hpp.

Referenced by MakeNew(), MakeNewCompoundVector(), and MakeNewIteratesVector().

const SmartPtr<const IteratesVector> Ipopt::IteratesVectorSpace::MakeNewIteratesVector | ( | const Vector & | x,
|  | const Vector & | s,
|  | const Vector & | y_c,
|  | const Vector & | y_d,
|  | const Vector & | z_L,
|  | const Vector & | z_U,
|  | const Vector & | v_L,
|  | const Vector & | v_U |
| ) |  |  | `[inline]`

Use this method to create a new const IteratesVector.

You must pass in valid pointers for all of the entries.

Definition at line 555 of file IpIteratesVector.hpp.

References Ipopt::ConstPtr(), and MakeNewIteratesVector().

virtual CompoundVector* Ipopt::IteratesVectorSpace::MakeNewCompoundVector | ( | bool | create_new = `true` | ) | const`[inline, virtual]`

This method overloads ComooundVectorSpace::MakeNewCompoundVector to make sure that we get a vector of the correct type.

Reimplemented from Ipopt::CompoundVectorSpace.

Definition at line 577 of file IpIteratesVector.hpp.

References MakeNewIteratesVector().

virtual Vector* Ipopt::IteratesVectorSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

This method creates a new vector (and allocates space in all the contained vectors.

This is really only used for code that does not know what type of vector it is dealing with - for example, this method is called from Vector::MakeNew()

Reimplemented from Ipopt::CompoundVectorSpace.

Definition at line 587 of file IpIteratesVector.hpp.

References MakeNewIteratesVector().

virtual void Ipopt::IteratesVectorSpace::SetCompSpace | ( | Index | icomp,
|  | const VectorSpace & | vec_space |
| ) |  |  | `[inline, virtual]`

This method hides the CompoundVectorSpace::SetCompSpace method since the components of the Iterates are fixed at construction.

Reimplemented from Ipopt::CompoundVectorSpace.

Definition at line 597 of file IpIteratesVector.hpp.

References DBG_ASSERT.

IteratesVectorSpace& Ipopt::IteratesVectorSpace::operator= | ( | const IteratesVectorSpace & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::x_space_`[private]`

Contained Spaces.

Definition at line 620 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::s_space_`[private]`

Definition at line 621 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::y_c_space_`[private]`

Definition at line 622 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::y_d_space_`[private]`

Definition at line 623 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::z_L_space_`[private]`

Definition at line 624 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::z_U_space_`[private]`

Definition at line 625 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::v_L_space_`[private]`

Definition at line 626 of file IpIteratesVector.hpp.

SmartPtr<const VectorSpace> Ipopt::IteratesVectorSpace::v_U_space_`[private]`

Definition at line 627 of file IpIteratesVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpIteratesVector.hpp